%define major		1
%define libname		%mklibname pcap %{major}
%define develname	%mklibname pcap -d

Name:		libpcap
Version:	1.10.4
Release:	%mkrel 1
Summary:	A system-independent interface for user-level packet capture
License:	BSD
Group:		System/Libraries
URL:		https://www.tcpdump.org/
Source0:	https://www.tcpdump.org/release/%{name}-%{version}.tar.gz
Patch0:		libpcap-multilib.patch
Patch1:		libpcap-man.patch
Patch2:		libpcap-1.9.0-lpthread.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(libnl-3.0)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(bluez)

%description
Libpcap provides a portable framework for low-level network monitoring. Libpcap
can provide network statistics collection, security monitoring and network
debugging.  Since almost every system vendor provides a different interface for
packet capture, the libpcap authors created this system-independent API to ease
in porting and to alleviate the need for several system-dependent packet
capture modules in each application.

%package	doc
Summary:	Manual pages for %{name}
Group:		Documentation
BuildArch:	noarch

%description	doc
This contains the manual pages documenting %{name}.

%package -n	%{libname}
Summary:	A system-independent interface for user-level packet capture
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:       pcap = %{version}-%{release}

%description -n	%{libname}
Libpcap provides a portable framework for low-level network monitoring. Libpcap
can provide network statistics collection, security monitoring and network
debugging.  Since almost every system vendor provides a different interface for
packet capture, the libpcap authors created this system-independent API to ease
in porting and to alleviate the need for several system-dependent packet
capture modules in each application.

%package -n	%{develname}
Summary:	Static library and header files for the pcap library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	pcap-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libpcap provides a portable framework for low-level network monitoring. Libpcap
can provide network statistics collection, security monitoring and network
debugging.  Since almost every system vendor provides a different interface for
packet capture, the libpcap authors created this system-independent API to ease
in porting and to alleviate the need for several system-dependent packet
capture modules in each application.

This package contains the static pcap library and its header files needed to
compile applications such as tcpdump, etc.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
export CFLAGS="%{optflags} -fno-strict-aliasing"

%configure \
    --enable-ipv6

%make_build

%install
%make_install

# install additional headers
install -m0644 pcap-int.h %{buildroot}%{_includedir}/

rm -f %{buildroot}%{_libdir}/libpcap.a

%files -n %{libname}
%doc README*
%license CREDITS LICENSE
%{_libdir}/libpcap.so.%{major}{,.*}

%files doc
%{_mandir}/man?/*

%files -n %{develname}
%doc CHANGES TODO
%{_bindir}/pcap-config
%dir %{_includedir}/pcap
%{_includedir}/pcap/*.h
%{_includedir}/*.h
%{_libdir}/libpcap.so
%{_libdir}/pkgconfig/libpcap.pc


%changelog
* Mon Apr 10 2023 luigiwalser <luigiwalser> 1.10.4-1.mga9
+ Revision: 1952397
- 1.10.4

* Tue Jan 17 2023 luigiwalser <luigiwalser> 1.10.3-1.mga9
+ Revision: 1933995
- 1.10.3

* Tue Jan 03 2023 luigiwalser <luigiwalser> 1.10.2-1.mga9
+ Revision: 1929683
- rediff patches 0 and 1
- 1.10.2

* Mon Mar 28 2022 umeabot <umeabot> 1.10.1-2.mga9
+ Revision: 1830467
- Mageia 9 Mass Rebuild

* Thu Jun 10 2021 luigiwalser <luigiwalser> 1.10.1-1.mga9
+ Revision: 1730319
- 1.10.1

* Sat Jan 02 2021 luigiwalser <luigiwalser> 1.10.0-1.mga8
+ Revision: 1668064
- 1.10.0

* Sun Feb 16 2020 umeabot <umeabot> 1.9.1-2.mga8
+ Revision: 1534279
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 02 2019 daviddavid <daviddavid> 1.9.1-1.mga8
+ Revision: 1448865
- new version: 1.9.1

* Sun Sep 23 2018 umeabot <umeabot> 1.9.0-2.mga7
+ Revision: 1299085
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 daviddavid <daviddavid> 1.9.0-1.mga7
+ Revision: 1251843
- new version: 1.9.0
- rediff all patches

* Wed Oct 26 2016 luigiwalser <luigiwalser> 1.8.1-1.mga6
+ Revision: 1063581
- 1.8.1

* Thu Aug 18 2016 daviddavid <daviddavid> 1.8.0-2.mga6
+ Revision: 1046955
- enable bluez support

* Wed Aug 10 2016 luigiwalser <luigiwalser> 1.8.0-1.mga6
+ Revision: 1045379
- 1.8.0
- rediff patch 2
- remove upstreamed patch

* Thu Feb 11 2016 umeabot <umeabot> 1.7.4-2.mga6
+ Revision: 955614
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 ovitters <ovitters> 1.7.4-1.mga6
+ Revision: 888519
- new version 1.7.4

* Fri Aug 21 2015 tmb <tmb> 1.7.3-2.mga6
+ Revision: 867677
- rebuild for new gcc

* Mon Jun 29 2015 cjw <cjw> 1.7.3-1.mga6
+ Revision: 847297
- 1.7.3
- add upstream patch for bluetooth support (fixes build with bluez5 headers)

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2-3.mga5
+ Revision: 741871
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2-2.mga5
+ Revision: 681701
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 luigiwalser <luigiwalser> 1.6.2-1.mga5
+ Revision: 671593
- 1.6.2

* Sat Jul 19 2014 luigiwalser <luigiwalser> 1.6.1-1.mga5
+ Revision: 653974
- 1.6.1
- disable bluetooth support (not buildable)
- enable libusb-1.0 support

* Wed Feb 12 2014 sander85 <sander85> 1.5.3-1.mga5
+ Revision: 589883
- New version: 1.5.3

* Sat Oct 19 2013 umeabot <umeabot> 1.4.0-2.mga4
+ Revision: 528587
- Mageia 4 Mass Rebuild

* Mon Jun 24 2013 fwang <fwang> 1.4.0-1.mga4
+ Revision: 446133
- new version 1.4.0

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-4.mga3
+ Revision: 357948
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 1.3.0-3.mga3
+ Revision: 305614
- Documentation group

* Thu Sep 20 2012 guillomovitch <guillomovitch> 1.3.0-2.mga3
+ Revision: 296322
- enable bluetooth support

* Thu Aug 09 2012 luigiwalser <luigiwalser> 1.3.0-1.mga3
+ Revision: 280172
- 1.3.0 (sync with mdv)

* Tue Mar 20 2012 tmb <tmb> 1.2.1-2.mga2
+ Revision: 225004
- build against libnl3

* Sun Jan 22 2012 guillomovitch <guillomovitch> 1.2.1-1.mga2
+ Revision: 199671
- new version

* Mon Dec 19 2011 guillomovitch <guillomovitch> 1.2.0-1.mga2
+ Revision: 184231
- new version
- spec cleanup
- drop useless soft dependency on doc package

* Sat Jan 15 2011 mikala <mikala> 1.1.1-3.mga1
+ Revision: 18649
- Drop mdk macros
- Remove BuildRoot
- imported package libpcap


* Wed Dec 29 2010 Götz Waschk <waschk@mandriva.org> 1.1.1-3mdv2011.0
+ Revision: 625995
- split out man pages to doc package, some are useful for users (bug #59789)

* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-2mdv2011.0
+ Revision: 601058
- rebuild

* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 1.1.1-1mdv2010.1
+ Revision: 540907
- New version 1.1.1

* Mon Apr 05 2010 Emmanuel Andry <eandry@mandriva.org> 1.1.0-1mdv2010.1
+ Revision: 531801
- New version 1.1.0
- drop p1 (fixed differently)
- drop others pacths (merged upstream)

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-8mdv2010.1
+ Revision: 519028
- rebuild

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-7mdv2010.0
+ Revision: 425689
- rebuild

* Wed Apr 15 2009 Michael Scherer <misc@mandriva.org> 1.0.0-6mdv2009.1
+ Revision: 367359
- add patch from upstream to be able to dump on usb0 ( ethernet over usb )
  instead of sniffing on usb bus with usbmon.

* Mon Apr 06 2009 Michael Scherer <misc@mandriva.org> 1.0.0-5mdv2009.1
+ Revision: 364476
- add patch 1, from upstream, to fix the handling of -i any on linux

* Thu Dec 18 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-4mdv2009.1
+ Revision: 315592
- bump release
- make it use LDFLAGS (P0)

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-3mdv2009.1
+ Revision: 298207
- also provide the pcap/bluetooth.h header (duh!)
- enable bluetooth support

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.0-1mdv2009.1
+ Revision: 298169
- 1.0.0
- fix devel package naming
- misc spec file fixes

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.9.8-3mdv2009.0
+ Revision: 264864
- rebuild early 2009.0 package (before pixel changes)

* Thu Jun 12 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.8-2mdv2009.0
+ Revision: 218474
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.8-1mdv2008.1
+ Revision: 102099
- 0.9.8

* Wed Sep 05 2007 David Walluck <walluck@mandriva.org> 0.9.7-2mdv2008.0
+ Revision: 79646
- bump release
- provide pcap = %%{version}-%%{release}
- provide pcap-devel = %%{version}-%%{release}

* Wed Jul 25 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-1mdv2008.0
+ Revision: 55564
- 0.9.7

* Wed Jul 25 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-4mdv2008.0
+ Revision: 55558
- use the new %%serverbuild macro

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 0.9.5-3mdv2008.0
+ Revision: 45068
- stack-protector is default now, no need to specify it manually

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 0.9.5-2mdv2008.0
+ Revision: 43309
- using -fstack-protector


* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-1mdv2007.0
+ Revision: 86095
- Import libpcap

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-1mdv2007.1
- 0.9.5

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.9.1-2mdk
- Rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-1mdk
- 0.9.1
- bump minor to 9
- install additional headers

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrake.org> 0.8.3-3mdk
- Adds signature
- Various spec fixes and cleanup

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.3-2mdk
- fix buildrequires
- drop redundant provides
- drop patch that wasn't applied

* Fri Apr 16 2004 Michael Scherer <mscherer@mandrakesoft.com> 0.8.3-1mdk
- New release 0.8.3
- remove patch #1
- force autoconf2.5

* Tue Jan 27 2004 Warly <warly@mandrakesoft.com> 0.8.1-1mdk
- new version

